import { ChartEntry } from '../barChart.types';
import { ChartStyle } from '../../../types';
export interface HorizontalBarChartProps {
    data: ChartEntry<string>[];
    dataFeature?: string;
    chartStyle: ChartStyle;
    onBarClick(event: MouseEvent, entry: ChartEntry<string>): void;
    getTooltipContent: (entry: ChartEntry<string>) => JSX.Element;
    width?: number;
    height?: number;
}
declare function HorizontalBarChart({ chartStyle, data, dataFeature, onBarClick, getTooltipContent, width, height, }: HorizontalBarChartProps): import("react/jsx-runtime").JSX.Element;
declare const _default: typeof HorizontalBarChart & {
    ChartStyle: typeof ChartStyle;
};
export default _default;
