import { ChartEntry } from '../barChart.types';
import { Range } from '../../../types';
export type VerticalBarChartEntry = ChartEntry<Range> & {
    label: string;
};
export interface VerticalBarChartProps {
    data: VerticalBarChartEntry[];
    dataFeature?: string;
    onBarClick: (event: MouseEvent, entry: VerticalBarChartEntry) => void;
    getTooltipContent: (entry: VerticalBarChartEntry) => JSX.Element;
    width?: number;
    height?: number;
    showXAxis?: boolean;
}
declare function VerticalBarChart({ data, dataFeature, width, height, onBarClick, getTooltipContent, showXAxis, }: VerticalBarChartProps): import("react/jsx-runtime").JSX.Element;
export default VerticalBarChart;
