import { Range } from '../../types';
import { RangeHandler } from './handlers/range-handler.types';
export type RangeFilterProps = RangeHandler & {
    id?: string;
    range: Range;
    limits: Range;
    onSliderChange: (range: Range) => void;
    /** Called when slider handle is released + on input field blur */
    onAfterChange: (range: Range) => void;
};
declare function RangeFilter({ id, range, limits, getMinValue, getMaxValue, getStep, inputField: InputField, onSliderChange, onAfterChange, getTicks, }: RangeFilterProps): JSX.Element;
export default RangeFilter;
