export interface InputFieldProps {
    id: string;
    value: number;
    onChange: (value: number) => void;
}
declare function useRangeInputField(rangeValue: number, formatter: (input: number) => string, parser: (input: string) => number | null, onChange: (input: number) => void): {
    value: string;
    setInputValue: import("react").Dispatch<import("react").SetStateAction<string>>;
    onKeyDown: (event: {
        key: string;
    }) => void;
    onBlur: () => void;
    submit: (stringValue: string) => void;
};
export default useRangeInputField;
