import classNames from 'classnames';
import styles from './Tooltip.component.module.scss';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export function Tooltip({
  children,
  title
}) {
  return /*#__PURE__*/_jsxs("div", {
    className: classNames(styles['dataviz-tooltip']),
    children: [/*#__PURE__*/_jsx("div", {
      className: classNames(styles['dataviz-tooltip__title']),
      children: title
    }), children]
  });
}
//# sourceMappingURL=Tooltip.component.js.map