"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _recharts = require("recharts");
var _TooltipCursorComponentModule = _interopRequireDefault(require("./TooltipCursor.component.module.scss"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * Custom component to allow data-x props
 * @param props
 */
function TooltipCursor({
  x,
  y,
  width,
  height,
  dataFeature
}) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.Customized, {
    component: () => /*#__PURE__*/(0, _jsxRuntime.jsx)("foreignObject", {
      x: x,
      y: y,
      width: width,
      height: height,
      "data-feature": dataFeature,
      className: _TooltipCursorComponentModule.default['tooltip-cursor'],
      cursor: "pointer",
      pointerEvents: "all"
    })
  });
}
var _default = exports.default = TooltipCursor;
//# sourceMappingURL=TooltipCursor.component.js.map