function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import classNames from 'classnames';
import { Tooltip } from '../Tooltip/Tooltip.component';
import styles from './KeyValueTooltip.component.module.scss';
import { ChartStyle } from '../../types';
import { FormatValue } from "@talend/react-components";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
function KeyValueTooltip({
  entries,
  chartStyle = ChartStyle.VALUE
}) {
  return /*#__PURE__*/_jsx(Tooltip, {
    children: /*#__PURE__*/_jsx("dl", {
      className: classNames(styles['key-value-tooltip'], styles[`key-value-tooltip--${chartStyle}`]),
      children: entries.map(({
        key,
        value
      }) => /*#__PURE__*/_jsxs("div", {
        className: styles['key-value-tooltip__entry'],
        children: [/*#__PURE__*/_jsx("dt", {
          className: styles['key-value-tooltip__key'],
          children: key
        }), /*#__PURE__*/_jsx("dd", {
          children: /*#__PURE__*/_jsx(FormatValue, {
            className: styles['key-value-tooltip__value'],
            value: value
          })
        })]
      }, key))
    })
  });
}
export default _extends(KeyValueTooltip, {
  ChartStyle
});
//# sourceMappingURL=KeyValueTooltip.component.js.map