import { RectangleProps } from 'recharts';
import { ChartStyle } from '../../../types';
type BarRenderProps = RectangleProps & {
    index?: number;
    focusedBarIndex: number | null;
    barType: 'primary' | 'secondary';
    chartStyle: ChartStyle;
};
declare function ColoredBar({ height, width, y, index, barType, focusedBarIndex, chartStyle, ...rest }: BarRenderProps): import("react/jsx-runtime").JSX.Element;
type ColorBarLabelProps = any & {
    chartStyle: ChartStyle;
};
declare function ColoredBarLabel({ focusedBarIndex, payload, chartStyle, ...props }: ColorBarLabelProps): import("react/jsx-runtime").JSX.Element;
declare const _default: typeof ColoredBar & {
    Label: typeof ColoredBarLabel;
};
export default _default;
