import { ChartEntry } from './barChart.types';
import { TooltipEntry } from '../KeyValueTooltip/KeyValueTooltip.component';
import { VerticalBarChartEntry } from './VerticalBarChart/VerticalBarChart.component';
export declare enum ValueType {
    MIN = "MIN",
    MAX = "MAX",
    SUM = "SUM",
    AVERAGE = "MEAN",
    OCCURRENCES = "OCCURRENCES"
}
export declare function getHorizontalBarChartTooltip(entry: ChartEntry<string>, valueType: ValueType): TooltipEntry[];
export declare function getVerticalBarChartTooltip(entry: VerticalBarChartEntry): TooltipEntry[];
