import { VerticalBarChartEntry } from '../../BarChart/VerticalBarChart/VerticalBarChart.component';
import { Range } from '../../../types';
import { RangeHandler } from '../../RangeFilter/handlers/range-handler.types';
export interface VerticalChartFilterProps {
    data: VerticalBarChartEntry[];
    barDataFeature?: string;
    activeRange?: Range;
    rangeLimits: Range;
    onBarClick: (event: MouseEvent, entry: VerticalBarChartEntry) => void;
    onRangeChange: (value: Range) => void;
    showXAxis?: boolean;
    rangeHandler: RangeHandler;
}
declare function VerticalChartFilter({ activeRange, rangeLimits, data, barDataFeature, onBarClick, onRangeChange, rangeHandler, showXAxis, }: VerticalChartFilterProps): JSX.Element;
export default VerticalChartFilter;
