"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _Tooltip = require("../Tooltip/Tooltip.component");
var _KeyValueTooltipComponentModule = _interopRequireDefault(require("./KeyValueTooltip.component.module.scss"));
var _types = require("../../types");
var _reactComponents = require("@talend/react-components");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function KeyValueTooltip({
  entries,
  chartStyle = _types.ChartStyle.VALUE
}) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tooltip.Tooltip, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("dl", {
      className: (0, _classnames.default)(_KeyValueTooltipComponentModule.default['key-value-tooltip'], _KeyValueTooltipComponentModule.default[`key-value-tooltip--${chartStyle}`]),
      children: entries.map(({
        key,
        value
      }) => /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        className: _KeyValueTooltipComponentModule.default['key-value-tooltip__entry'],
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("dt", {
          className: _KeyValueTooltipComponentModule.default['key-value-tooltip__key'],
          children: key
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)("dd", {
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactComponents.FormatValue, {
            className: _KeyValueTooltipComponentModule.default['key-value-tooltip__value'],
            value: value
          })
        })]
      }, key))
    })
  });
}
var _default = exports.default = _extends(KeyValueTooltip, {
  ChartStyle: _types.ChartStyle
});
//# sourceMappingURL=KeyValueTooltip.component.js.map