import { LineChartEntry, LineChartOptions, LineOptions } from './LineChart.types';
export interface LineChartProps {
    data: LineChartEntry[];
    lines: LineOptions[];
    chartOptions: LineChartOptions;
    hasLineSelection?: boolean;
    initialSelectedLines?: string[];
    onLineClicked?: (key: string) => void;
    onLineHovered?: (key: string) => void;
    onLegendItemClicked?: (key: string) => void;
    onLegendItemHovered?: (key: string) => void;
}
declare function LineChart({ data, lines, chartOptions, hasLineSelection, initialSelectedLines, onLineClicked, onLineHovered, onLegendItemClicked, onLegendItemHovered, }: LineChartProps): import("react/jsx-runtime").JSX.Element;
export default LineChart;
