import { LineOptions } from './LineChart.types';
export interface LineChartLegendProps {
    payload?: any[];
    hasLineSelection?: boolean;
    selection: string[];
    external: {
        linesConfig: LineOptions[];
        align: 'left' | 'center' | 'right';
        showInactives?: boolean;
        isRightAxisDisplayed?: boolean;
    };
    onLegendClicked?: (key: string) => void;
    onLegendHovered?: (key: string) => void;
}
export declare const CustomLegend: ({ payload, external, hasLineSelection, selection, onLegendClicked, onLegendHovered, }: LineChartLegendProps) => import("react/jsx-runtime").JSX.Element | null;
